=== debian/changelog ===
comixcursors (0.6.1-4) unstable; urgency=high

  * The “Thunder in the skies” release.
  * Urgency ‘high’ to address bug of ‘serious’ severity.
  * Keep empty directory for default cursor theme
    (Closes: Bug#591595).
  * Add Lintian override for empty directory.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 03 Sep 2010 22:59:31 +1000

comixcursors (0.6.1-3) unstable; urgency=medium

  * The “Inconscience” release.
  * debian/preinst:
    + Handle the case where no cursor themes are yet installed
      (Closes: Bug#591595).

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 15 Aug 2010 19:54:18 +1000

comixcursors (0.6.1-2) unstable; urgency=low

  * The “Clochettes” release.
  * debian/control:
    + “Build-Depends: librsvg2-bin” instead of inkscape.
  * debian/patches/03-convert-using-rsvg.patch:
    + Use ‘rsvg’ for conversion from SVG to PNG.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 09 May 2010 13:01:22 +1000

comixcursors (0.6.1-1) unstable; urgency=low

  * The “Baladin” release.
  * Adopt this package; thanks Sune Vuorela for maintaining to date.
    (Closes: bug#532020).
  * New upstream version. Highlights since previous release:
    + Added red cursors.
    + Progress animation expanded to 24 frames.
    + Various fixes to cursors.
  * debian/copyright:
    + Format per draft DEP-5 machine-parseable format.
    + Update copyright information.
  * debian/source/format:
    + Switch to source format “3.0 (quilt)”.
  * debian/control:
    + Conform to “Standards-Version: 3.8.4”. No further changes needed.
    + Update URL for upstream home page.
    + Declare VCS URL for Debian packaging source.
    + Re-word the description for natural English-language style.
  * debian/watch:
    + Explain why we can't currently use ‘uscan’.
  * debian/patches/01-declare-bash-programs.patch:
    + Declare correct shebang line for Bash program ‘install-all.sh’.
  * debian/patches/02-custom-destination.patch:
    + Use an environment variable to override destination directory.
  * debian/control, debian/rules:
    + Switch to debhelper version 7 and ‘dh’.
    + Build from source using upstream's build system
      (Closes: bug#531625).
      This also reduces package size since many duplicated icon files now
      result in symlinks.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 24 Apr 2010 09:19:08 +1000

comixcursors (0.5.0-1) unstable; urgency=low

  * The "finally I get around to look at Barry's work"-release
  * Based on very nice work done by Barry deFreese.
  * New upstream release (Closes: #448722)
    + Christmas theme removed and "Custom" added
    + Empty bz2 file no longer included (Closes: #392371)
  * Bump debhelper build-dep and compat to 5
  * Remove comments from rules
  * Remove workaround to upstream issue introduced in 0.4.1-4
  * Update maintainer scripts (Closes: #392657). This will trigger this bug on
    this upgrade, but only this time.
    + Don't remove and re-install all alternatives on upgrade
    + Remove themes no longer shipped in preinst and add new themes on upgrade
  * Move homepage field from description
  * Bump standards
  * Do stuff in binary-indep instead of binary-arch. Thanks lintian.

 -- Sune Vuorela <debian@pusling.com>  Sun, 27 Jan 2008 02:03:46 +0100

comixcursors (0.4.1-4) unstable; urgency=low

  * Hacking around problems with gnome theme manager (Closes: #372572)

 -- Sune Vuorela <debian@pusling.com>  Thu, 28 Sep 2006 15:59:19 +0200

comixcursors (0.4.1-3) unstable; urgency=low

  * fixing alternatives once more (Closes: #355890)

 -- Sune Vuorela <debian@pusling.com>  Fri, 26 May 2006 23:34:56 +0000

comixcursors (0.4.1-2) unstable; urgency=low

  * Fixes typo in prerm (Closes: #364742)

 -- Sune Vuorela <debian@pusling.com>  Wed, 26 Apr 2006 10:26:00 +0000

comixcursors (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Moved out of /usr/X11R6 to /usr/share/icons (Closes: #362098)
  * Registering with the alternatives system; thanks to Bastian
    Venthur (Closes: #355890)

 -- Sune Vuorela <debian@pusling.com>  Sat, 22 Apr 2006 17:15:13 +0000

comixcursors (0.3.2-1) unstable; urgency=low

  * Initial release Closes: #344520

 -- Sune Vuorela <debian@pusling.com>  Fri, 23 Dec 2005 11:57:22 +0000
