=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Homepage: http://opendesktop.org/content/show.php?content=32627

Package: comixcursors
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 mouse pointer theme with a comic feeling
 ComixCursors is a mouse pointer theme for X11 in the style of
 comic-book art.
 .
 The package includes cursor sets in a wide combination of options:
  * 5 different colors (black, blue, green, orange, white)
  * 3 different sizes (small, regular, large)
  * 2 different weights (slim, normal)
 .
 and some additional “bonus” options.
