=== debian/changelog ===
comixcursors (0.7.2-3) unstable; urgency=low

  * The “Falling Slowly” release.
  * debian/control:
    + Declare “Standards-Version: 3.9.3”. No further changes required.
  * debian/patches/02-rsvg-convert.patch:
    + Switch from deprecated ‘rsvg(1)’ to ‘rsvg-convert(1)’.
      Closes: bug#666473.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 12 Aug 2012 01:16:32 +1000

comixcursors (0.7.2-2) unstable; urgency=low

  * The “Midgard serpent” release.
  * debian/control:
    + Set “Priority: extra” for transitional binary package ‘comixcursors’.
  * debian/control, debian/rules:
    + Conform to “Standards-Version: 3.9.2”.
    + Add recommended build targets.
    + Increase minimum Debhelper version to support the new build targets.
  * debian/templates/docs.template:
    + ‘NEWS’ file already being installed as upstream changelog.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 31 Jul 2011 18:57:43 +1000

comixcursors (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Remove patches applied upstream:
    + debian/patches/02-qt-cursor-links.patch

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 27 Feb 2011 09:36:21 +1100

comixcursors (0.7.1-1) unstable; urgency=low

  * The “Mackie Messer” release.
  * New upstream version.
  * debian/patches/02-qt-cursor-links.patch:
    + Add all missing cursor links from Qt4 documentation.
      (Closes: Bug#593890).
  * debian/control:
    + Produce a dummy transitional ‘comixcursors’ binary package.
  * Produce many per-binary-package Debian packaging files from templates.
  * debian/copyright:
    + Update information and format to current DEP-5 candidate format.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 23 Feb 2011 13:21:10 +1100

comixcursors (0.7-3) unstable; urgency=low

  * The “Celtissisme” release.
  * debian/rules:
    + We manage the build area manually, so use the ‘clean’ target to
      manually clean up.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 06 Aug 2010 00:30:58 +1000

comixcursors (0.7-2) unstable; urgency=low

  * The “Les sanglots longs” release.
  * debian/patches/01-custom-destdir.patch:
    + Use standard ‘DESTDIR’ variable for customising top-level install
      directory.
  * debian/control:
    + Update Homepage to descriptive URL.
    + Remove “Depends: ${shlibs:Depends}”, there are no executable files.
  * debian/control, debian/rules, debian/*.install, debian/*.docs:
    + Conform to “Standards-Version: 3.9.1”. No further changes needed.
    + Install documentation.
    + Split into multiple binary packages, aligned with upstream's
      groupings (RH translucent, LH translucent, RH opaque, LH opaque).
  * debian/preinst:
    + Handle the case where no cursor themes are yet installed
      (Closes: Bug#591595).

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 05 Aug 2010 08:48:20 +1000

comixcursors (0.7-1) unstable; urgency=low

  * The “Gourou” release.
  * New upstream version. Highlights since previous release:
    + Build “Opaque” and “Left Handed” variants from one source package.
    + License changed to GPLv3 or later.
  * debian/copyright:
    + Update copyright information and upstream identities.
  * debian/patches/:
    + Remove, all existing patches incorporated upstream in this version.
  * debian/control:
    + Declare VCS-Browser URL for Debian packaging source.
    + Update description for currently-included variants.
  * debian/compat:
    + Declare ‘debhelper’ compatibility version 7.
  * debian/postinst, debian/prerm:
    + Handle all of the cursor themes installed by this package.
  * debian/rules:
    + Use new names for upstream files.
    + Adjust for changes in upstream build system.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 08 Jun 2010 12:43:01 +1000
