=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper (>= 8.1)
Standards-Version: 3.9.3
Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627

Package: comixcursors
Architecture: all
Depends:
    comixcursors-righthanded,
    ${misc:Depends}
Section: oldlibs
Priority: extra
Description: transitional dummy package
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 This package is transitional to install the right-handed, translucent
 cursor set, which is now in the ‘comixcursors-righthanded’ package.

Package: comixcursors-righthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Provides: comixcursors
Replaces: comixcursors (<< 0.7)
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the “original” (right-handed, translucent)
 ComixCursors themes, and some additional “bonus” variants.

Package: comixcursors-lefthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, translucent ComixCursors
 themes.

Package: comixcursors-righthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-lefthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the right-handed, opaque ComixCursors themes.

Package: comixcursors-lefthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, opaque ComixCursors themes.
