=== debian/watch ===
# The source files for ComixCursors are stored at a $FOO-Forge site
# with awkward redirection done via HTML. Currently ‘uscan(1)’ is
# unable to recognise or download these files automatically.
