## comixcursors 0.8.2

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Makefile
 # Part of ComixCursors, a desktop cursor theme.
 #
-# Copyright © 2010 Ben Finney <ben+gnome@benfinney.id.au>
-# Copyright © 2006–2010 Jens Luetkens <j.luetkens@hamburg.de>
+# Copyright © 2010–2013 Ben Finney <ben+opendesktop@benfinney.id.au>
+# Copyright © 2006–2013 Jens Luetkens <j.luetkens@hamburg.de>
 # Copyright © 2003 Unai G
 #
 # This work is free software: you can redistribute it and/or modify it
@@ -28,11 +28,11 @@
 PACKAGENAME ?= ${CURSORSNAME}
 SUMMARY ?= The original Comix Cursors
 ICONSDIR ?= ${HOME}/.icons
-THEMENAME ?= custom
+THEMENAME ?= Custom
 
 GENERATED_FILES :=
 
-ifeq (@LH-,$(findstring @LH-,@${THEMENAME}))
+ifeq (@LH-,$(findstring @LH-,@${THEMEOPTIONS}))
 	orientation = LeftHanded
 else
 	orientation = RightHanded
@@ -41,19 +41,19 @@
 bindir = bin
 svgdir = svg
 indir = ${svgdir}/${orientation}
-configdir = ComixCursorsConfigs
-configfile = ${configdir}/${THEMENAME}.CONFIG
-themefile = ${configdir}/${THEMENAME}.theme
 workdir = tmp
 builddir = build
 xcursor_builddir = cursors
 distdir = dist
+configdir = ComixCursorsConfigs
+configfile = ${configdir}/${THEMENAME}.CONFIG
+themefile = ${builddir}/${THEMENAME}.theme
 
-destdir = ${ICONSDIR}/${CURSORSNAME}-${THEMENAME}
+destdir = ${ICONSDIR}/${CURSORSNAME}${THEMEOPTIONS}${THEMEINCLUDE}${SIZENAME}-${THEMENAME}
 xcursor_destdir = ${destdir}/cursors
 
-template_configfile = ${configdir}/custom.CONFIG
-template_themefile = ${configdir}/custom.theme
+template_configfile = ${configdir}/Custom.CONFIG
+template_themefile = ${configdir}/Custom.theme
 
 # Derive cursor file names.
 conffiles = $(wildcard ${builddir}/*.conf)
@@ -74,16 +74,16 @@
 
 GENERATED_FILES += ${rpm_specfile_changelog} *.spec
 
-LINK_CURSORS = "${bindir}"/link-cursors
-MAKE_SPECFILE_CHANGELOG = "${bindir}"/news-to-specfile-changelog
-MAKE_SPECFILE = "${bindir}"/make-specfile
+LINK_CURSORS = "${bindir}/link-cursors"
+MAKE_SPECFILE_CHANGELOG = "${bindir}/news-to-specfile-changelog"
+MAKE_SPECFILE = "${bindir}/make-specfile"
 
 
 
 .PHONY: all
 all: ${cursorfiles}
 
-${xcursor_builddir}/%: ${builddir}/%.conf ${builddir}/%*.png
+${xcursor_builddir}/%: ${builddir}/%.conf $(wildcard ${builddir}/%*.png)
 	xcursorgen "$<" "$@"
 
 
@@ -99,7 +99,7 @@
 	install -m u=rw,go=r "${xcursor_builddir}"/* "${xcursor_destdir}"
 
 # Install the theme configuration file.
-	install -m u=rw,go=r "${themefile}" "${destdir}"/index.theme
+	install -m u=rw,go=r "${themefile}" "${destdir}/index.theme"
 
 # Install alternative name symlinks for the cursors.
 	$(LINK_CURSORS) "${xcursor_destdir}"
@@ -117,6 +117,7 @@
 	cp "$<" "$@"
 
 ${themefile}: ${template_themefile}
+	install -d "${builddir}"
 	cp "$<" "$@"
