=== debian/changelog ===
comixcursors (0.8.2-1) unstable; urgency=low

  * The “Lose Your Face, Lose Your Name” release.
  * New upstream version (Closes: bug#726615).
    + Multi-sized cursors dramatically reduces the number of separate
      themes.
    + Removed the “bonus” variants that were inconsistent with the rest.
    + Different method for producing shadows in SVG.
      (Closes: bug#684869, bug#708133)
  * debian/control:
    + Declare “Standards-Version: 3.9.5”. No further changes required.
    + Update VCS fields for canonical hostname.
    + Remove transitional dummy package ‘comixcursors’.
    + Remove mention of “bonus” variants.
  * debian/templates/install.template, debian/package-mapping:
    + Install multi-sized cursor themes.
  * debian/templates/{pre,post}inst.template, debian/NEWS:
    + Remove size-specific cursor themes on upgrade.
  * debian/templates/{pre,post}{inst,rm}.template:
    + Search the correct icons directory for installed templates.
      (Closes: bug#648965)
  * debian/copyright:
    + Update copyright years and format URL.
    + Update license for Debian packaging to GPL-3+.
  * debian/patches/:
    + Update for current upstream version.
    + 02-rsvg-convert.patch:
      * Remove, merged upstream.
  * debian/bzr-builddeb.conf:
    + Add this package's configuration for ‘bzr builddeb’.
  * debian/compat, debian/control:
    + Require Debhelper minimum version 9.
  * debian/watch, debian/source.lintian-overrides:
    + Remove no-op ‘uscan’ configuration file.
  * debian/README.source:
    + Properly document how to make the Debian source package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 21 Jan 2014 22:35:31 +1100
