=== debian/control ===
--- 
+++ 
@@ -2,30 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Ben Finney <ben+debian@benfinney.id.au>
-VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
-VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
+VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/comixcursors/comixcursors.debian/
+VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
 Build-Depends:
     bc,
     librsvg2-bin,
     imagemagick,
     x11-apps,
-    debhelper (>= 8.1)
-Standards-Version: 3.9.3
+    debhelper (>= 9)
+Standards-Version: 3.9.5
 Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627
-
-Package: comixcursors
-Architecture: all
-Depends:
-    comixcursors-righthanded,
-    ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package
- ComixCursors is a set of mouse pointer themes for X11 in the style of
- comic-book art.
- .
- This package is transitional to install the right-handed, translucent
- cursor set, which is now in the ‘comixcursors-righthanded’ package.
 
 Package: comixcursors-righthanded
 Architecture: all
@@ -48,7 +34,7 @@
   * 2 different weights (slim, normal)
  .
  This package installs the “original” (right-handed, translucent)
- ComixCursors themes, and some additional “bonus” variants.
+ ComixCursors themes.
 
 Package: comixcursors-lefthanded
 Architecture: all
