## comixcursors 0.9

=== debian/changelog ===
comixcursors (0.9-2) unstable; urgency=medium

  * The “Ishrat Akhond” release.
  * Use current HTTPS URL for copyright format reference.
  * Update copyright years.
  * Specify current VCS for Debian packaging work.
  * Add build targets recommended by Debian Policy §4.9.
  * Update UScan configuration for upstream source URLs.
  * Declare “Standards-Version: 4.0.1”. No additional changes required.

 -- Ben Finney <bignose@debian.org>  Sat, 26 Aug 2017 04:03:25 +1000

comixcursors (0.9-1) unstable; urgency=medium

  * The “Zainullah Naseri” release.
  * New upstream version.
    Highlights since previous release:
    * Increased transparency in shadows.
  * debian/*:
    * Update my email address for Debian work.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”. No additional changes required.
    * Migrate packaging VCS to Git on NotABug.
    * Set “Homepage” field to new upstream home.
  * debian/copyright:
    * Add editor hints.
    * Update copyright notices.
    * Distinguish license conditions from license grants.
    * Update source URL to new upstream release location.
  * debian/README.source:
    * Remove obsolete information about obtaining upstream source.
    * Document how the source package is built.
  * debian/watch, debian/source.lintian-overrides:
    * Configure UScan for new upstream release location.
    * Remove Lintian override for missing UScan configuration.

 -- Ben Finney <bignose@debian.org>  Tue, 04 Oct 2016 09:18:04 +1100
