=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: comixcursors
 Section: x11
 Priority: optional
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
-VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/comixcursors/comixcursors.debian/
-VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends:
     bc,
     librsvg2-bin,
     imagemagick,
     x11-apps,
     debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627
+Standards-Version: 4.0.1
+Homepage: https://gitlab.com/limitland/comixcursors/
+VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
+VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
 
 Package: comixcursors-righthanded
 Architecture: all
