=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘comixcursors’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Jens Luetkens's repository.
opts = "filenamemangle=s%^.+/@ANY_VERSION@/archive\.%comixcursors-$1\.%g" \
    https://gitlab.com/limitland/@PACKAGE@/tags \
    /limitland/@PACKAGE@/repository/@ANY_VERSION@/archive@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
