=== debian/changelog ===
comixcursors (0.9.1-2) unstable; urgency=medium

  * Acknowledge non-maintainer upload “0.9.1-1.1”.
  * Update publication years in Debian packaging copyright notices.
  * Declare conformance to “Standards-Version: 4.6.0”. No changes needed.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Migrate Debhelper compatibility level declaration to build
      dependency.
  * Remove redundant dependency on ‘debhelper’.
    The ‘debhelper-compat’ dependency brings in the required package.
  * Record upstream metadata in DEP-12 document.
  * Specify the package build system does not require root privilege.
  * debian/README.source:
    * Document the current source package maintenance workflow.
  * debian/NEWS:
    * Remove news of changes in ancient package versions.
  * Remove dependency declarations against ancient package versions.
  * Override false positive Lintian check for VCS-* field names.

 -- Ben Finney <bignose@debian.org>  Wed, 11 May 2022 17:05:38 +1000

comixcursors (0.9.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:29:24 +0100

comixcursors (0.9.1-1) unstable; urgency=medium

  * The “Vincenzo D'Allestro” release.
  * New upstream version.
  * Configure Git-BuildPackage for this Debian source package.
  * Update copyright years.
  * Configure UScan for new upstream release tarball URLs.
  * Specify current VCS for Debian packaging work.
  * Declare “Standards-Version: 4.1.5”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Declare Debhelper compatibility level 11.

 -- Ben Finney <bignose@debian.org>  Sat, 14 Jul 2018 23:20:49 +1000
