=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
     librsvg2-bin,
     imagemagick,
     x11-apps,
-    debhelper (>= 9)
-Standards-Version: 4.0.1
+    debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/limitland/comixcursors/
-VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
-VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
+VCS-Git: https://salsa.debian.org/bignose/pkg-comixcursors.git
+VCS-Browser: https://salsa.debian.org/bignose/pkg-comixcursors
+Rules-Requires-Root: no
 
 Package: comixcursors-righthanded
 Architecture: all
@@ -22,8 +23,6 @@
     comixcursors-righthanded-opaque,
     comixcursors-lefthanded-opaque
 Provides: comixcursors
-Replaces: comixcursors (<< 0.7)
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -44,7 +43,6 @@
     comixcursors-righthanded,
     comixcursors-righthanded-opaque,
     comixcursors-lefthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -65,7 +63,6 @@
     comixcursors-righthanded,
     comixcursors-lefthanded,
     comixcursors-lefthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -85,7 +82,6 @@
     comixcursors-righthanded,
     comixcursors-lefthanded,
     comixcursors-righthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
